【活用ガイド】

[English]

JVNDB-2012-000024

twicca におけるアクセス制限不備の脆弱性

概要

twicca には、アクセス制限不備の脆弱性が存在します。

twicca は、Twitter 用クライアントソフトウェアです。twicca には、アクセス制限不備の脆弱性が存在します。

この脆弱性情報は、情報セキュリティ早期警戒パートナーシップに基づき下記の方が IPA に報告し、JPCERT/CC が開発者との調整を行いました。
報告者: 東北大学 大学院情報科学研究科 草野 一彦 氏

CVSS による深刻度 (CVSS とは?)

基本値: 2.6 (注意) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 高
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): なし
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): なし

影響を受けるシステム


Tetsuya Aoyama
  • twicca バージョン 0.7.0 から 0.9.30 まで

想定される影響

ネットワークへのアクセス権限を持たないアプリケーションによって、twicca の権限で画像ファイルをアップロードされる可能性があります。
対策

[アップデートする]
開発者の提供する情報をもとに、最新版にアップデートしてください。
ベンダ情報

Tetsuya Aoyama
CWEによる脆弱性タイプ一覧  CWEとは?

  1. 認可・権限・アクセス制御(CWE-264) [IPA評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2012-0326
参考情報

  1. JVN : JVN#31860555
  2. National Vulnerability Database (NVD) : CVE-2012-0326
更新履歴

[2012年03月13日]
  掲載